/*******************************************************************************
 * @file     hv.h
 * @brief    High voltage module header file.
 * @version  V1.8.1
 * @date     9-Feb-2023
 *
 * @note
 * Copyright (C) 2022 Spintrol Electronic Technology (Shanghai) Co., Ltd.. All rights reserved.
 *
 * @attention
 * THIS SOFTWARE JUST PROVIDES CUSTOMERS WITH CODING INFORMATION REGARDING
 * THEIR PRODUCTS, WHICH AIMS AT SAVING TIME FOR THEM. SPINTROL SHALL NOT BE
 * LIABLE FOR THE USE OF THE SOFTWARE. SPINTROL DOES NOT GUARANTEE THE
 * CORRECTNESS OF THIS SOFTWARE AND RESERVES THE RIGHT TO MODIFY THE SOFTWARE
 * WITHOUT NOTIFICATION.
 *
 ******************************************************************************/

#ifndef HV_H
#define HV_H

#ifdef __cplusplus
extern "C" {
#endif


#include "spc1168.h"
#include "epwr.h"



/**
 *  @brief  High Voltage Module Pin Interface Definition
 */
#define GPIO_HV_PWM_W_H           GPIO_18   /*!< GPIO for PWM_W_H                            */
#define GPIO_HV_PWM_W_L           GPIO_19   /*!< GPIO for PWM_W_L                            */
#define GPIO_HV_PWM_V_H           GPIO_20   /*!< GPIO for PWM_V_H                            */
#define GPIO_HV_PWM_V_L           GPIO_21   /*!< GPIO for PWM_V_L                            */
#define GPIO_HV_PWM_U_H           GPIO_22   /*!< GPIO for PWM_U_H                            */
#define GPIO_HV_PWM_U_L           GPIO_23   /*!< GPIO for PWM_U_L                            */
                                                                                             
#define GPIO_HV_ENABLE            GPIO_28   /*!< GPIO for Pre-Driver Enable Control          */
#define GPIO_HV_FILTER_ENABLE     GPIO_27   /*!< GPIO for Pre-Driver Filter Enable Control   */




/**
 *  @brief  High Voltage Module Public Function Declaration
 */
void HV_PinInit(void);
void HV_EnableFilter(void);
void HV_DisableFilter(void);
void HV_Init(void);


#ifdef __cplusplus
}
#endif /* extern "C" */

#endif /* HV_H */


/******************* Copyright (C) 2022 Spintrol Electronic Technology (Shanghai) Co., Ltd. ***** END OF FILE ****/
